﻿Module CATIA
    Public CATIA As INFITF.Application
    Public oVersion As String
    Public oRelease As String
    Public oServicePack As String

    Public ErrorCode As Integer

    Sub WhereIsCATIA()


        '**Erstellt das Objekt CATIA und gibt ggf. einen Fehlercode weiter**
        On Error Resume Next
        CATIA = GetObject(, "CATIA.Application")
        On Error GoTo 0
        If CATIA IsNot Nothing Then
            oVersion = CATIA.Application.SystemConfiguration.Version
            oRelease = CATIA.Application.SystemConfiguration.Release
            oServicePack = CATIA.Application.SystemConfiguration.ServicePack
        End If
        If CATIA Is Nothing Then
            On Error Resume Next
            CATIA = CreateObject("CATIA.Application")
            If Err.Number <> 0 Then
                MsgBox("CATIA could not start because the ActiveX-componente is not registered yet!" + Chr(10) + "Please start CATIA manually or register the ActiveX-Componente and run the macro afterwards!" + Chr(10) + "For further informations read the help file", MsgBoxStyle.Critical, "Registration error occured")
                ErrorCode = 20
                Exit Sub
            End If
            On Error GoTo 0
        End If

        If CATIA Is Nothing Then
            ErrorCode = 10
            Exit Sub
        End If

    End Sub
End Module
